//
//  PlistManager.swift
//
//  Created by Merlyn on 3/20/15.
//  Copyright (c) 2015 The App Lady. All rights reserved.
//

import UIKit

class PlistManager: NSObject {
    var filePath: String = ""

    func getDocsDir() -> String {
        let paths = NSSearchPathForDirectoriesInDomains(.DocumentDirectory, .UserDomainMask, true) as NSArray
        let documentsDir = paths.firstObject as String
        return documentsDir
    }

    func getPlistFilePath(fileName: String) -> String {
        filePath = getDocsDir().stringByAppendingPathComponent(fileName)
        return filePath
    }
    
    func createPlistFile(fileName: String) {
        filePath = getDocsDir().stringByAppendingPathComponent(fileName)
        
        let manager = NSFileManager.defaultManager()
        if (!manager.fileExistsAtPath(filePath)) {
            let dictionary: NSDictionary = [defaultKey : defaultValue]
            dictionary.writeToFile(filePath, atomically: true)
        }
    }

    func fetchData(fileName: String) -> NSDictionary {
        filePath = getPlistFilePath(fileName)
        let plistData = NSDictionary(contentsOfFile: filePath)
        return plistData!
    }

    func saveData(fileName: String, foodObject: NSDictionary) {
        filePath = getPlistFilePath(fileName)
        foodObject.writeToFile(filePath, atomically: true)
    }

}
